Subject: bug#25877: 26.0.50;M-x list-packages Invalid version list error

From: Carlo Tambuatco <[email-masked]>
Date: Mon, 27 Feb 2017 09:29:40 -0500

> On Feb 26, 2017, at 8:39 PM, Glenn Morris <[email-masked]> wrote:
> 
> Carlo Tambuatco wrote:
> 
>>>> ~/.emacs.d/site-lisp/package hides
>>>> /Applications/MacPorts/Emacs.app/Contents/Resources/lisp/emacs-lisp/package
>>> 
>>> It seems that you aren't using the package.el that comes with Emacs.
>> 
>> Not only that, it appears I've been using a pre-release version of
>> emacs all this time…I'm going to revert back to emacs 25.1 for the
>> time being, I think that should solve the problem...
> 
> That's up to you. I think the actual problem you reported is due to the
> old version of package.el(c) in your site-lisp, so all you have to do to
> make it go away is delete it. Specifically, it's older than
> 
> http://lists.gnu.org/archive/html/emacs-diffs/2013-11/msg00020.html
> 
> and so can't handle things like "Version: 8.6+git" as contained in
> lisp/mh-e/mh-e.el in current Emacs master. If you don't delete it,
> you'll get the same problem with 25.1 and any packages with similar
> version numbers.

I reverted back to emacs 25.1 via macports, and the list-packages command now seems to work, indicating that, for some reason, the pre-release version I had been using had its package overshadowed by the ~/.emacs.d/site-lisp/package, but the current release macports emacs does not. 

It’s just some idiosyncrasy with how macports configures their emacs releases, I guess.